<div class="formulario-login">
  <div class="formulario-login__container">
    <p class="title"> {{texts[type].title}} </p>
    <form [formGroup]='form' autocomplete="off">

      <!-- User -->
      <div class="form-group-login">
        <input type="text" id="user" name="user" class="form-control" [class.is-invalid]="invalidUser"
          formControlName="user">
        <label [class.label-with-value]="userWithValue" for="user">Usuario</label>
        <span *ngIf="invalidUser" class="error-message">
          Ingrese un nombre de usuario.
        </span>
      </div>

      <!-- Password -->
      <div class="form-group-login">
        <input type="password" name="password" class="form-control" id="passowrd" [class.is-invalid]="invalidPassword"
          formControlName="password">
        <label [class.label-with-value]="passwordWithValue" for="password">Clave</label>
        <span *ngIf="invalidPassword" class="error-message">
          Ingrese su contraseña.
        </span>
      </div>

      <!-- Repeat password -->
      <div class="form-group-login" *ngIf="type === 'register'">
        <input type="password" name="validatePassword" class="form-control" id="validatePassword" [class.is-invalid]="invalidValidatePassword"
          formControlName="validatePassword">
        <label [class.label-with-value]="validatePasswordWithValue" for="validatePassword">Repetir clave</label>
        <span *ngIf="invalidValidatePassword" class="error-message">
          Ingrese su contraseña.
        </span>
      </div>

      <!-- Remind -->
      <div class="remind-user cursor" (click)="checkItem()">
        <span>Recordar sesion</span>
        <input class="cursor" type="checkbox" name="Recordar sesion" formControlName="remind">
      </div>

      <!-- Button -->
      <div class="button-container">
        <app-button-loading [loading]="loading" [buttonText]="texts[type].buttonName" [isValid]="this.form.valid"
          (emit)="buttonAction()">
        </app-button-loading>
      </div>

      <!-- Helper -->
      <div class="mt-3">
        <span>
          {{texts[type].register}}
        </span>
        <a class="cursor" (click)="navigateTo()"> aqui</a>!
      </div>

    </form>
  </div>
</div>
